Gem::Specification.new do |s|
  s.name = %q{capistrano}
  s.version = "1.4.1"
  s.date = %q{2007-02-24}
  s.summary = %q{Capistrano is a framework and utility for executing commands in parallel on multiple remote machines, via SSH. The primary goal is to simplify and automate the deployment of web applications.}
  s.email = %q{jamis@37signals.com}
  s.homepage = %q{http://www.rubyonrails.org}
  s.autorequire = %q{capistrano}
  s.default_executable = %q{cap}
  s.authors = ["Jamis Buck"]
  s.files = ["bin/cap", "lib/capistrano", "lib/capistrano.rb", "lib/capistrano/actor.rb", "lib/capistrano/cli.rb", "lib/capistrano/command.rb", "lib/capistrano/configuration.rb", "lib/capistrano/extensions.rb", "lib/capistrano/gateway.rb", "lib/capistrano/generators", "lib/capistrano/logger.rb", "lib/capistrano/recipes", "lib/capistrano/scm", "lib/capistrano/shell.rb", "lib/capistrano/ssh.rb", "lib/capistrano/transfer.rb", "lib/capistrano/utils.rb", "lib/capistrano/version.rb", "lib/capistrano/generators/rails", "lib/capistrano/generators/rails/deployment", "lib/capistrano/generators/rails/loader.rb", "lib/capistrano/generators/rails/deployment/deployment_generator.rb", "lib/capistrano/generators/rails/deployment/templates", "lib/capistrano/generators/rails/deployment/templates/capistrano.rake", "lib/capistrano/generators/rails/deployment/templates/deploy.rb", "lib/capistrano/recipes/standard.rb", "lib/capistrano/recipes/templates", "lib/capistrano/recipes/templates/maintenance.rhtml", "lib/capistrano/scm/base.rb", "lib/capistrano/scm/baz.rb", "lib/capistrano/scm/bzr.rb", "lib/capistrano/scm/cvs.rb", "lib/capistrano/scm/darcs.rb", "lib/capistrano/scm/mercurial.rb", "lib/capistrano/scm/perforce.rb", "lib/capistrano/scm/subversion.rb", "examples/sample.rb", "test/actor_test.rb", "test/command_test.rb", "test/configuration_test.rb", "test/fixtures", "test/scm", "test/ssh_test.rb", "test/utils.rb", "test/fixtures/config.rb", "test/fixtures/custom.rb", "test/scm/cvs_test.rb", "test/scm/subversion_test.rb", "README", "MIT-LICENSE", "CHANGELOG", "THANKS"]
  s.executables = ["cap"]
  s.add_dependency(%q<rake>, [">= 0.7.0"])
  s.add_dependency(%q<net-ssh>, [">= 1.0.10"])
  s.add_dependency(%q<net-sftp>, [">= 1.1.0"])
end
